Generate app credentials
curl --request POST \
--url https://api-dev.narrative.io/v2/apps/{app_slug}/credentials/generate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/v2/apps/{app_slug}/credentials/generate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/v2/apps/{app_slug}/credentials/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": "85b558340b635861575c462a10df3bd5",
"client_secret": "<string>"
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}Apps
Generate app credentials
Generates a new client id and secret for the app. The secret is returned only in this response.
Immediately invalidates the app’s current credentials. Update any running connector with the returned secret.
POST
/
v2
/
apps
/
{app_slug}
/
credentials
/
generate
Generate app credentials
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The app's slug. The app's unique, permanent name: 1-256 lowercase letters, digits or underscores. Chosen at creation and never changes. Slugs are unique regardless of case, so a slug that differs from an existing one only by case is taken.
Pattern:
^[a-z0-9_]{1,256}$Example:
"facebook_connector"
Was this page helpful?

